package com.example.data.entity

import org.jetbrains.exposed.dao.*
import org.jetbrains.exposed.dao.id.EntityID
import org.jetbrains.exposed.dao.id.IntIdTable
import org.jetbrains.exposed.sql.*
import org.jetbrains.exposed.sql.transactions.transaction

object Groups: IntIdTable("groups"){

    val name = text("group_name")
}

class GroupDAO(id: EntityID<Int>): IntEntity(id){
    companion object : IntEntityClass<GroupDAO>(Groups)
    var name by Groups.name
    val users by UserDAO referrersOn Users.group
}

