package com.example.data.repository.admin

import com.example.common.dbQuery
import com.example.data.entity.*
import com.example.data.models.UserCreateWithoutGroupRequest

class AdminRepositoryImpl: AdminRepository {
    override suspend fun createGroupWithStudents(groupName: String, users: List<UserCreateWithoutGroupRequest>)  = dbQuery {
      val newGroup = GroupDAO.new {
            name = groupName
        }
        users.forEach { newUser ->
            UserDAO.new {
                name =  newUser.name
                group_id = newGroup.id
            }
        }
    }
}