package com.example.data.repository.user

import com.example.domain.models.UserModel
import java.util.UUID

interface UserRepository {
    suspend fun getByGuid(uuid: UUID): UserModel?
    suspend fun getAllUsers(): List<UserModel>
    suspend fun updateUserByUUID(id:UUID, updatedUser: UserModel): Boolean
    suspend fun removeUserByUUID(id: UUID): Boolean
}