package com.example.domain.admin

import com.example.data.models.UserCreateWithoutGroupRequest
import com.example.data.repository.admin.AdminRepository
import com.example.data.repository.group.GroupRepository

class AdminService(private val groupRepository: GroupRepository,
                   private val adminRepository: AdminRepository) {
    suspend fun createGroupWithStudents(groupName : String, users: List<UserCreateWithoutGroupRequest>){
        adminRepository.createGroupWithStudents(groupName, users.map { it -> UserCreateWithoutGroupRequest(it.name) })
    }
}