package com.example.data.repository.group


import com.example.domain.group.GroupModel

interface GroupRepository {
    suspend fun getAllGroups():List<GroupModel>
    suspend fun getGroupById(id:Int): GroupModel?
    suspend fun updateGroupById(id:Int, group:GroupModel): Boolean
    suspend fun removeGroupById(id: Int): Boolean
}